Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst:] Kann nach world-Update kein k3b mehr installieren
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Andreas O.
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jan 2003
Posts: 132
Location: Welthauptstadt der Biere

PostPosted: Sat May 21, 2016 10:04 pm    Post subject: [gelöst:] Kann nach world-Update kein k3b mehr installieren Reply with quote

Hallo,

ich hatte vor kurzem versucht, ein world-Update durchzuführen, es kam leider immer wieder zu blocks,
so dass ich kde4-l10n, k3b, k9copy deinstalliert habe. Danach lief endlich mein world-Update durch.
Leider kann ich nun nicht mehr k3b installieren:
Code:
ebuild  N     ] kde-frameworks/kpty-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/kunitconversion-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 604 KiB
[ebuild  N     ] kde-frameworks/kpackage-5.21.0:5/5.21::gentoo  USE="-debug -doc -man {-test}" 106 KiB
[ebuild  N     ] kde-frameworks/kservice-5.21.0:5/5.21::gentoo  USE="man -debug -doc {-test}" 263 KiB
[ebuild  N     ] kde-frameworks/kglobalaccel-5.21.0:5/5.21::gentoo  USE="nls -debug -doc {-test}" 80 KiB
[ebuild  N     ] kde-frameworks/kjs-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 284 KiB
[ebuild  N     ] kde-frameworks/kdesignerplugin-5.21.0:5/5.21::gentoo  USE="nls -debug -designer -doc -webkit" 86 KiB
[ebuild  N     ] kde-frameworks/kdesu-5.21.0:5/5.21::gentoo  USE="X -debug -doc" 44 KiB
[ebuild  N     ] kde-frameworks/kemoticons-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 212 KiB
[ebuild  N     ] media-libs/phonon-4.7.2::gentoo  USE="qt4 qt5 vlc (-aqua) -debug -designer -gstreamer -pulseaudio (-zeitgeist)" 0 KiB
[ebuild  N     ] media-libs/phonon-vlc-0.7.2::gentoo  USE="qt4 qt5 -debug" 0 KiB
[ebuild  N     ] kde-frameworks/knotifications-5.21.0:5/5.21::gentoo  USE="X dbus nls -debug -doc (-speech)" 94 KiB
[ebuild  N     ] sys-auth/polkit-qt-0.112.0-r1::gentoo  USE="qt4 qt5 -debug -examples" 0 KiB
[ebuild  N     ] kde-frameworks/solid-5.21.0:5/5.21::gentoo  USE="nls -debug -doc {-test}" 262 KiB
[ebuild  N     ] kde-base/kdelibs-4.14.16:4/4.14::gentoo  USE="acl alsa bzip2 crypt handbook nls opengl policykit spell ssl udev udisks upower (-altivec) (-aqua) -debug -doc (-fam) -jpeg2k -kerberos (-libressl) -lzma -openexr {-test} -zeroconf" CPU_FLAGS_X86="mmx sse sse2 -3dnow" 0 KiB
[ebuild  N     ] kde-base/katepart-4.14.3:4/4.14::gentoo  USE="handbook (-aqua) -debug" 0 KiB
[ebuild  N     ] kde-apps/libkcddb-15.08.3:4/15.08::gentoo  USE="handbook (-aqua) -debug -musicbrainz" 0 KiB
[ebuild  N     ] kde-apps/kde4-l10n-15.08.3-r2:4/15.08::gentoo  USE="handbook (-aqua) -minimal" LINGUAS="de -ar -bg -bs -ca -ca@valencia -cs -da -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hr -hu -ia -id -is -it -ja -kk -km -ko -lt -lv -mr -nb -nds -nl -nn -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -tr -ug -uk -wa -zh_CN -zh_TW" 0 KiB
[ebuild  N     ] app-cdr/k3b-2.0.3-r2:4::gentoo  USE="dvd encode flac handbook mad mp3 vorbis (-aqua) -debug -emovix -ffmpeg -libav -musepack -sndfile -sox -taglib -vcd" LINGUAS="de -ast -be -bg -bs -ca -ca@valencia -cs -csb -da -el -en_GB -eo -es -et -eu -fi -fr -ga -gl -he -hi -hne -hr -hu -is -it -ja -kk -km -ko -ku -lt -lv -mai -mr -ms -nb -nds -nl -nn -oc -pa -pl -pt -pt_BR -ro -ru -se -sk -sl -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -ug -uk -zh_CN -zh_TW" 0 KiB
[ebuild  N     ] kde-frameworks/kauth-5.21.0:5/5.21::gentoo  USE="nls policykit -debug -doc {-test}" 81 KiB
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.21.0:5/5.21::gentoo  USE="man -debug -doc {-test}" 351 KiB
[ebuild  N     ] kde-frameworks/kiconthemes-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 192 KiB
[ebuild  N     ] kde-plasma/polkit-kde-agent-5.5.5:5::gentoo  USE="-debug" 39 KiB
[ebuild  N     ] kde-frameworks/ktextwidgets-5.21.0:5/5.21::gentoo  USE="-debug -doc (-speech) {-test}" 300 KiB
[ebuild  N     ] kde-frameworks/kxmlgui-5.21.0:5/5.21::gentoo  USE="-attica -debug -doc {-test}" 848 KiB
[ebuild  N     ] kde-frameworks/kwallet-5.21.0:5/5.21::gentoo  USE="man -debug -doc -gpg {-test}" 282 KiB
[ebuild  N     ] kde-frameworks/kbookmarks-5.21.0:5/5.21::gentoo  USE="nls -debug -doc {-test}" 113 KiB
[ebuild  N     ] kde-frameworks/kio-5.21.0:5/5.21::gentoo  USE="X acl handbook kwallet -debug -doc -kerberos {-test}" 2.828 KiB
[ebuild  N     ] kde-frameworks/kparts-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 151 KiB
[ebuild  N     ] kde-frameworks/kinit-5.21.0:5/5.21::gentoo  USE="caps man -debug -doc" 115 KiB
[ebuild  N     ] kde-frameworks/kded-5.21.0:5/5.21::gentoo  USE="man -debug -doc" 36 KiB
[ebuild  N     ] kde-frameworks/kdelibs4support-5.21.0:5/5.21::gentoo  USE="X -debug -doc {-test}" 3.153 KiB
[ebuild  N     ] kde-frameworks/khtml-5.21.0:5/5.21::gentoo  USE="X -debug -doc {-test}" 2.028 KiB
[ebuild  N     ] kde-frameworks/kdeclarative-5.21.0:5/5.21::gentoo  USE="-debug -doc" 164 KiB
[ebuild  N     ] kde-frameworks/kcmutils-5.21.0:5/5.21::gentoo  USE="-debug -doc {-test}" 230 KiB
[ebuild  N     ] kde-plasma/kde-cli-tools-5.5.5:5::gentoo  USE="X handbook kdesu -debug {-test}" 475 KiB
[ebuild  N     ] kde-apps/khelpcenter-5.5.5:5::gentoo  USE="handbook -debug" 1.768 KiB
[blocks B      ] kde-apps/kde4-l10n[-minimal(-)] ("kde-apps/kde4-l10n[-minimal(-)]" is blocking kde-frameworks/kdoctools-5.21.0, kde-frameworks/kinit-5.21.0, kde-frameworks/kauth-5.21.0, kde-frameworks/ktextwidgets-5.21.0, kde-frameworks/kdeclarative-5.21.0, kde-frameworks/kxmlgui-5.21.0, kde-frameworks/kpty-5.21.0, kde-frameworks/kunitconversion-5.21.0, kde-frameworks/kpackage-5.21.0, kde-frameworks/kglobalaccel-5.21.0, kde-frameworks/kcmutils-5.21.0, kde-frameworks/kdesu-5.21.0, kde-frameworks/kdelibs4support-5.21.0, kde-frameworks/kitemviews-5.21.0, kde-frameworks/kwallet-5.21.0, kde-frameworks/knotifications-5.21.0, kde-frameworks/kconfigwidgets-5.21.0, kde-frameworks/kdesignerplugin-5.21.0, kde-frameworks/solid-5.21.0, kde-plasma/kde-cli-tools-5.5.5, kde-frameworks/kwidgetsaddons-5.21.0, kde-frameworks/kparts-5.21.0, kde-frameworks/kwindowsystem-5.21.0, kde-frameworks/kcrash-5.21.0, kde-frameworks/ki18n-5.21.0, kde-frameworks/kjobwidgets-5.21.0, kde-frameworks/karchive-5.21.0, kde-frameworks/kemoticons-5.21.0, kde-frameworks/khtml-5.21.0, kde-frameworks/kguiaddons-5.21.0, kde-frameworks/kcoreaddons-5.21.0-r1, kde-frameworks/kjs-5.21.0, kde-frameworks/kcompletion-5.21.0, kde-frameworks/kitemmodels-5.21.0, kde-frameworks/kio-5.21.0, kde-frameworks/kded-5.21.0, kde-frameworks/kbookmarks-5.21.0, kde-frameworks/sonnet-5.21.0, kde-frameworks/kconfig-5.21.0, kde-frameworks/kservice-5.21.0, kde-frameworks/kdbusaddons-5.21.0, kde-frameworks/kiconthemes-5.21.0, kde-frameworks/kcodecs-5.21.0)

Total: 85 packages (77 new, 8 in new slots), Size of downloads: 260.197 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.


Was ich schon mal überhaupt nicht verstehe - warum werden nun so viele 5er-Versionen von KDE-Programmen neu installiert, die ich gar nicht haben will (in meiner make.conf habe ich auch ausdrücklich -kde drin stehen)!?
Wie kann ich feststellen, welche KDE-Pakete momentan noch installiert sind? Hier muss ich wohl manuell noch Einiges unmergen...
In meiner "world"-Datei finde ich auch kaum mehr KDE-Programme... :roll:
Ich will nicht wegen ein paar KDE-Programmen nur noch mit anderen KDE-Programmen "zugemüllt" werden und immer mehr in neue Abhängigkeiten geraten :cry:
Wie kann ich den KDE-Update-Wahnsinn also wieder "bändigen"?


Last edited by Andreas O. on Sun May 22, 2016 8:11 am; edited 3 times in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3668
Location: Germany

PostPosted: Sat May 21, 2016 11:08 pm    Post subject: Reply with quote

Andreas O. wrote:
Code:
[blocks B      ] kde-apps/kde4-l10n[-minimal(-)] ("kde-apps/kde4-l10n[-minimal(-)]" is blocking [...]

Code:
echo "kde-apps/kde4-l10n minimal" >> /etc/portage/package.use
done :)

/edit:
Moment, vergiß den oben gemachten Vorschlag bitte (um den Block zu lösen) zunächst erst mal - ich denke der ist für dein Vorhaben (k3b zu installieren) nicht ganz passend.
2er Versuch: Mit einem besseren, vermutlich für dein Vorhaben passenderen Vorschlag :)
Wenn ich das richtig sehe, dann liegt der Ursprung deiner vielen unerwünschten Deps (zb die ganzen kde-frameworks/* Pakete) beim Paket
[ebuild N ] kde-apps/khelpcenter-5.5.5:5
denn kde-apps/khelpcenter wird von kdelibs mit USE=handbook gefordert
kdelibs-4.14.16.ebuild:
handbook? ( kde-apps/khelpcenter:* )
und da khelpcenter-5.5.5:5 inzwischen stable markiert ist, versucht portage khelpcenter-5.5.5:5 zu nehmen, was dann die ganzen kde-frameworks/* Pakete als Dep hat, und zieht.
(mir ist ehrlich gesagt nicht ganz klar warum kdelibs[handbook] nicht strickt auf khelpcenter:4 dependet, sondern alle Slots zuläßt (in deinem Fall wird die höchste Version aus Slot fünf genommen).

Vorschlag: Teste bitte mal ob durch maskieren von kde-apps/khelpcenter:5 man versuchen kann portage dazu zu zwingen alternativ kde-apps/khelpcenter:4 zu verwenden. Ich denke damit sollten sich die (für k3b unnötigen) plasma5 Deps vermeiden lassen.
(ungetestet, ich kann es hier zZt nicht selbst testen).
Back to top
View user's profile Send private message
Andreas O.
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jan 2003
Posts: 132
Location: Welthauptstadt der Biere

PostPosted: Sun May 22, 2016 6:00 am    Post subject: Reply with quote

Josef.95 wrote:
Andreas O. wrote:
Code:
[blocks B      ] kde-apps/kde4-l10n[-minimal(-)] ("kde-apps/kde4-l10n[-minimal(-)]" is blocking [...]

Code:
echo "kde-apps/kde4-l10n minimal" >> /etc/portage/package.use
done :)

/edit:
Moment, vergiß den oben gemachten Vorschlag bitte (um den Block zu lösen) zunächst erst mal - ich denke der ist für dein Vorhaben (k3b zu installieren) nicht ganz passend.
2er Versuch: Mit einem besseren, vermutlich für dein Vorhaben passenderen Vorschlag :)
Wenn ich das richtig sehe, dann liegt der Ursprung deiner vielen unerwünschten Deps (zb die ganzen kde-frameworks/* Pakete) beim Paket
[ebuild N ] kde-apps/khelpcenter-5.5.5:5
denn kde-apps/khelpcenter wird von kdelibs mit USE=handbook gefordert
kdelibs-4.14.16.ebuild:
handbook? ( kde-apps/khelpcenter:* )
und da khelpcenter-5.5.5:5 inzwischen stable markiert ist, versucht portage khelpcenter-5.5.5:5 zu nehmen, was dann die ganzen kde-frameworks/* Pakete als Dep hat, und zieht.
(mir ist ehrlich gesagt nicht ganz klar warum kdelibs[handbook] nicht strickt auf khelpcenter:4 dependet, sondern alle Slots zuläßt (in deinem Fall wird die höchste Version aus Slot fünf genommen).

Vorschlag: Teste bitte mal ob durch maskieren von kde-apps/khelpcenter:5 man versuchen kann portage dazu zu zwingen alternativ kde-apps/khelpcenter:4 zu verwenden. Ich denke damit sollten sich die (für k3b unnötigen) plasma5 Deps vermeiden lassen.
(ungetestet, ich kann es hier zZt nicht selbst testen).


Hallo Josef.95, danke, dein letztgenannter Vorschlag brachte mich nun zum Ziel, in meiner /etc/portage/package.mask steht nun u. a.:
Code:
#khelpcenter-5 zieht viele 5er-Pakete mit sich, die dann letztendlich k3b blockieren
kde-apps/khelpcenter:5


k3b wird nun aktuell mit 29 anderen Paketen installiert :D
Back to top
View user's profile Send private message
Andreas O.
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jan 2003
Posts: 132
Location: Welthauptstadt der Biere

PostPosted: Sun May 22, 2016 6:34 am    Post subject: Reply with quote

Quote:
k3b wird nun aktuell mit 29 anderen Paketen installiert :D

Da hatte ich mich leider zu früh gefreut:
Code:
Bitte senden Sie einen vollständigen Fehlerbericht auf Englisch ein;
bearbeiten Sie die Quellen zunächst mit einem Präprozessor, wenn es
dienlich ist.
Siehe <https://bugs.gentoo.org/> für nähere Anweisungen.
Makefile:55932: die Regel für Ziel „.obj/release-shared/moc_morphmenu_p.o“ scheiterte
make[2]: *** [.obj/release-shared/moc_morphmenu_p.o] Fehler 1
make[2]: *** Es wird auf noch nicht beendete Prozesse gewartet...
make[2]: Verzeichnis „/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6-abi_x86_64.amd64/tools/designer/src/lib“ wird verlassen
Makefile:79: die Regel für Ziel „sub-lib-make_default-ordered“ scheiterte
make[1]: *** [sub-lib-make_default-ordered] Fehler 2
make[1]: Verzeichnis „/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6-abi_x86_64.amd64/tools/designer/src“ wird verlassen
Makefile:39: die Regel für Ziel „sub-src-make_default“ scheiterte
make: *** [sub-src-make_default] Fehler 2
 * ERROR: dev-qt/designer-4.8.6-r1::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=dev-qt/designer-4.8.6-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/designer-4.8.6-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-qt/designer-4.8.6-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-qt/designer-4.8.6-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6-abi_x86_64.amd64/tools/designer'
 * S: '/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6'

>>> Failed to emerge dev-qt/designer-4.8.6-r1, Log file:

>>>  '/var/tmp/portage/dev-qt/designer-4.8.6-r1/temp/build.log'

 * Messages for package dev-qt/qtcore-5.5.1-r1:

 * Generated gentoo-qconfig.h is empty

 * Messages for package dev-qt/designer-4.8.6-r1:

 * ERROR: dev-qt/designer-4.8.6-r1::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=dev-qt/designer-4.8.6-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/designer-4.8.6-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-qt/designer-4.8.6-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-qt/designer-4.8.6-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6-abi_x86_64.amd64/tools/designer'
 * S: '/var/tmp/portage/dev-qt/designer-4.8.6-r1/work/qt-everywhere-opensource-src-4.8.6'

 * GNU info directory index is up-to-date.


emerge --info '=dev-qt/designer-4.8.6-r1::gentoo':
Code:

Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.22-r4, 3.17.8-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.17.8-gentoo-r1-x86_64-AMD_Athlon-tm-_II_X3_455_Processor-with-gentoo-2.2
KiB Mem:     7919428 total,   4936568 free
KiB Swap:   12048744 total,  12048744 free
Timestamp of repository gentoo: Sun, 22 May 2016 05:15:01 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds qt3support qt4 readline sdl seccomp session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Ich versteh's einfach nicht: wie kann man 4er und 5er KDE-Pakete nebeneinander zulassen - aus meiner Sicht bringt das nur Ärger :twisted:
Back to top
View user's profile Send private message
Andreas O.
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jan 2003
Posts: 132
Location: Welthauptstadt der Biere

PostPosted: Sun May 22, 2016 8:25 am    Post subject: Reply with quote

So, ich glaube ich habe die Ursache für den ganzen Schlamassel gefunden:
ich habe mir nochmal meine world-Datei angesehen und festgestellt, dass u. a.:
Code:
dev-qt/qtcore
dev-qt/qtcore:4

drin standen, wobei 'qtcore' vermutlich die 5er-Pakete reinziehen wollte und sich das letztendlich mit den 4er-Paketen ('qtcore:4') "gebissen hat.
Also habe ich nun den Eintrag:
Code:
dev-qt/qtcore

rausgelöscht und anschließend noch ein:
Code:
emerge -auv qtcore

durchgeführt.
Jetzt scheint 'emerge -auv k3b' durchzulaufen, momentan bin ich bei Paket 4 von 10.
Eigentlich bearbeite ich 'world' nie manuell, außer ich lösche einen Eintrag, um ein Paket mit seinen Abhängigkeiten komplett mit 'emerge --depclean' zu löschen.
Warum nun automatisch dieser Doppeleintrag hier reinkam, kann ich im Nachhinein nicht mehr nachvollziehen... :roll:
Vielen Dank nochmal an Josef.95, der mich indirekt zu dieser Lösung gebracht hat :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum